gnutls_session_get_id(3)

NAME
gnutls_session_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_id(gnutls_session_t session, void * session_id, size_t * session_id_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

void * session_id
    is a pointer to space to hold the session id.

size_t * session_id_size
    initially should contain the maximum session_id size and will be updated.

DESCRIPTION
Returns the current session ID. This can be used if you want to check if the next session you tried to resume was actually resumed. That is because resumed sessions share the same session ID with the original session.

The session ID is selected by the server, that identify the current session. In all supported TLS protocols, the session id is less than GNUTLS_MAX_SESSION_ID_SIZE.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/